Bug 733056 - cannot set sasl or gssapi options with openldap-2.4.24-3
Summary: cannot set sasl or gssapi options with openldap-2.4.24-3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Vcelak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 15:26 UTC by Jakub Hrozek
Modified: 2013-03-04 01:29 UTC (History)
3 users (show)

Fixed In Version: openldap-2.4.24-5.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-17 23:42:26 UTC


Attachments (Terms of Use)

Description Jakub Hrozek 2011-08-24 15:26:56 UTC
Description of problem:
Missing compound statement makes setting SASL or GSSAPI LDAP option fail but return 0

Version-Release number of selected component (if applicable):
openldap-2.4.24-3.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. ldap_set_option(state->sh->ldap, LDAP_OPT_X_SASL_NOCANON, LDAP_OPT_ON)
  
Actual results:
returns LDAP_OPT_SUCCESS but does not set the option

Expected results:
option is set

Additional info:
This was fixed upstream in 9b463b59ec922f5b7682f4ee98c4bc96f5123bd3

Comment 1 Jan Vcelak 2011-08-24 15:27:50 UTC
Thank you.

Comment 2 Fedora Update System 2011-08-24 19:39:21 UTC
openldap-2.4.24-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/openldap-2.4.24-4.fc15

Comment 3 Fedora Update System 2011-08-26 19:04:18 UTC
Package openldap-2.4.24-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openldap-2.4.24-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/openldap-2.4.24-4.fc15
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-09-12 19:02:27 UTC
openldap-2.4.24-5.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/openldap-2.4.24-5.fc15

Comment 5 Fedora Update System 2011-11-17 23:42:26 UTC
openldap-2.4.24-5.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.